org.apache.ignite.internal.pagemem.wal.record.delta

## Class NewRootInitRecord<L>

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.NewRootInitRecord<L>

All Implemented Interfaces:
  WalRecordCacheGroupAware

    public class NewRootInitRecord<L>
    extends PageDeltaRecord

Initialize new root page.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`NewRootInitRecord(int grpId, long pageId, long newRootId, BPlusInnerIO<L> io, long leftChildId, byte[] rowBytes, long rightChildId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`BPlusInnerIO<L>` `io()`
`long` `leftId()`
`long` `rightId()`
`long` `rootId()`
`byte[]` `rowBytes()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`fullPageId, groupId, pageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NewRootInitRecord

    public NewRootInitRecord(int grpId,
                             long pageId,
                             long newRootId,
                             BPlusInnerIO<L> io,
                             long leftChildId,
                             byte[] rowBytes,
                             long rightChildId)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Page ID.
  `io` - IO.
  `leftChildId` - Left child ID.
  `rowBytes` - Row.
  `rightChildId` - Right child ID.

### Method Detail

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                           long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### io

    public BPlusInnerIO<L> io()

Returns:
  IO.

#### rootId

    public long rootId()

Returns:
  Root page ID.

#### leftId

    public long leftId()

Returns:
  Left child ID.

#### rightId

    public long rightId()

Returns:
  Right child ID.

#### rowBytes

    public byte[] rowBytes()

Returns:
  Row bytes.

#### toString

    public String toString()

Overrides:
  `toString` in class `PageDeltaRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021